Bug 8658 - Negative / positive winbind cache won't expire till opposite type of query is made
Negative / positive winbind cache won't expire till opposite type of query is...
Status: RESOLVED FIXED
Product: Samba 3.5
Classification: Unclassified
Component: Winbind
3.5.12
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-12 10:33 UTC by Andreas Schneider
Modified: 2011-12-16 13:00 UTC (History)
0 users

See Also:


Attachments
v3-5-test patch (11.70 KB, patch)
2011-12-12 10:35 UTC, Andreas Schneider
jra: review+
asn: review? (gd)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Schneider 2011-12-12 10:33:51 UTC
Negative / positive winbind cache won't expire even after the specified cache
time has passed. Cache only gets expired if opposite type of query is made.

For example, even if negative cache time is set to 5 seconds in smb.conf, it
never expires till positive (successful) query is made.

The attached patch backports 3 commits to 3.5:

57b3d32c8d87c4273d30d73fe2bfd3de0178945d
1e4761d05978b7a495d121acc1deaa7049f3911c (bug #8521)
a3f600521122d1a6d74d16668bd1ea4447c5c867 (bug #8643)
Comment 1 Andreas Schneider 2011-12-12 10:35:14 UTC
Created attachment 7172 [details]
v3-5-test patch
Comment 2 Jeremy Allison 2011-12-14 21:26:31 UTC
Comment on attachment 7172 [details]
v3-5-test patch

LGTM.
Comment 3 Jeremy Allison 2011-12-14 21:27:00 UTC
Re-assigning to Karolin for inclusion in 3.5.next.
Jeremy
Comment 4 Karolin Seeger 2011-12-16 13:00:35 UTC
Pushed to v3-5-test.
Closing out bug report.

Thanks!